CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.47. CUpti_ActivityPCSamplingConfig Struct Reference

## [CUPTI Activity API]

This structure defines the pc sampling configuration.

See function /ref cuptiActivityConfigurePCSampling

### Public Variables

CUpti_ActivityPCSamplingPeriod samplingPeriod
uint32_t size

### Variables

CUpti_ActivityPCSamplingPeriod CUpti_ActivityPCSamplingConfig::samplingPeriod [inherited]

  There are 5 level provided for sampling period. The level internally maps to a period in terms of cycles. Same level can map to different number of cycles on different gpus. No of cycles will be chosen to minimize information loss. The period chosen will be given by samplingPeriodInCycles in /ref CUpti_ActivityPCSamplingRecordInfo for each kernel instance.

uint32_t CUpti_ActivityPCSamplingConfig::size [inherited]

  Size of configuration structure. Should be used to check if required parameters are available in the structure.